<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <link rel="stylesheet" href="https://www.coursera.org/widget/coursera-connect.css">
  </head>
  <body>
    <script src="https://www.coursera.org/widget/coursera-widget-connect-v0.js"></script>
    <script>
      function initiateApp(configuration) {
        let src = configuration.src+"?origin=www.coursera.org"
        let iframe_height = configuration.iframe_height
        let iframe_width = configuration.iframe_width
        if(configuration.src !== "") {
          let link_details = configuration.link_details
          let link_text = configuration.link_text
          let divElement = document.createElement('div');
          divElement.innerHTML = "<h3>"+link_details+
                                "<a href=\""+src+"\" target=\"_blank\">" +link_text+"</a></h3>"
          document.body.appendChild(divElement);
        }

        
        var frame = document.createElement('iframe')
	      frame.setAttribute("src", src);
        frame.setAttribute("width", iframe_width);
        frame.setAttribute("frameborder", "0");
        frame.setAttribute("style", "border: 0px; overflow:auto; display:block;margin: 0 auto;");
        document.body.appendChild(frame);
        frame.setAttribute("height", iframe_height);
        
        if(configuration.optional_instructions === "True") {

          let optional_instructions_details = configuration.optional_instructions_details;
          let optional_instructions_link_text = configuration.optional_instructions_link_text;
          optional_instructions_link_url = configuration.optional_instructions_link_url;

          let divElement = document.createElement('div')
          divElement.innerHTML = "<h3>"+optional_instructions_details+
                                "<a href=\""+optional_instructions_link_url+"\" target=\"_blank\">" +optional_instructions_link_text+"</a></h3>"
          if(configuration.optional_instructions_pos === "top") {
            document.body.insertBefore(divElement,frame);
          } else {
            document.body.appendChild(divElement);
          }
        }

        if(configuration.optional_frame === "True") {
          let divElement = document.createElement('div')
          let textElement = document.createElement("h3")
          let imgElement = ""
          if(configuration.optional_frame_logo !== "") {
            imgElement = "<img src='" + configuration.optional_frame_logo+ "' height='30px'/>"
         }

          textElement.innerHTML = imgElement + configuration.optional_frame_title

          let optional_frame_src = configuration.optional_frame_src;
          var optional_frame = document.createElement('iframe')
          optional_frame.setAttribute("src", optional_frame_src);
          optional_frame.setAttribute("width", "100%");
          optional_frame.setAttribute("frameborder", "0");
          optional_frame.setAttribute("style", "border: 0px; overflow:auto; display:block;");
          optional_frame.setAttribute("height", document.firstElementChild.scrollHeight);
          
          divElement.appendChild(textElement)
          divElement.appendChild(optional_frame)
          if(configuration.optional_frame_pos === "top") {
            document.body.insertBefore(divElement,frame);
          } else {
            document.body.appendChild(divElement);
          }
        }
      }

      courseraApi.callMethod({
        type: "GET_SESSION_CONFIGURATION",
        onSuccess: initiateApp,
        onError: console.log
      });
    </script>
  </body>
</html>
